summaryrefslogtreecommitdiff
path: root/dev-python/google-auth
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/google-auth
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/google-auth')
-rw-r--r--dev-python/google-auth/Manifest3
-rw-r--r--dev-python/google-auth/google-auth-1.0.1.ebuild51
-rw-r--r--dev-python/google-auth/google-auth-1.14.3-r1.ebuild53
-rw-r--r--dev-python/google-auth/google-auth-1.14.3.ebuild48
-rw-r--r--dev-python/google-auth/google-auth-1.6.3.ebuild49
-rw-r--r--dev-python/google-auth/metadata.xml13
6 files changed, 217 insertions, 0 deletions
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
new file mode 100644
index 000000000000..42447d864668
--- /dev/null
+++ b/dev-python/google-auth/Manifest
@@ -0,0 +1,3 @@
+DIST google-auth-1.0.1.tar.gz 133903 BLAKE2B 0a99dcdb37a195f24077162ea8191e2eb12aac0eec8e08d06f0b17aba9c4f5ed44f19ca41c737a249611ce02b98e03474d1e995909c5755222605e004d11fb1d SHA512 c10822c6b75700503a06a4b3a43a123d57605a043eb494bcb0232cc3941fc039d0803ed75be26d0da72fd4df613135c290fb3fdf82b0fa47d4fe0729462d80f4
+DIST google-auth-1.14.3.tar.gz 101964 BLAKE2B 096768066d02248a4b614e5ea1f1035c81714ef09f6fb43fdb3ecc308d7cadaf7ad821f1dca505389fd1c73eec5e0b2d233f71f54469c43a2616f64a15661f21 SHA512 e3b76907e50b4927aaa1d450a6133943ad736427a180023ea2c4639545449769136b9db89eae54456338f1cf5bbaaa5840a8cf3db92d54f9e96407ae8935a607
+DIST google-auth-1.6.3.tar.gz 80899 BLAKE2B 71e9ef4fbb8803dbea96e1b9b3183f9bae8a9bd7e29eda1c9ee042c7abb3e5011ee4f461ddafd3295119e3a5a451892b8a38cb49702c59828baba1af35403c25 SHA512 47a3e9390428ffa58946c348d4e1a1bfe1290d6e06b75924bbacb37d5af929050690ef5c13820468de805646f4686c035b00dfe947c090d53568dd85d804af5e
diff --git a/dev-python/google-auth/google-auth-1.0.1.ebuild b/dev-python/google-auth/google-auth-1.0.1.ebuild
new file mode 100644
index 000000000000..553ccb457d1c
--- /dev/null
+++ b/dev-python/google-auth/google-auth-1.0.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="https://pypi.org/project/google-auth/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.0.5[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.6.1[${PYTHON_USEDEP}]
+ >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ # urllib3-1.16 raised MaxRetryError, not TransportError
+ sed -e 's:test_connection_error:_\0:' -i tests/transport/compliance.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # delete stray files included in the tarball
+ find "${S}"/tests -name '*.pyc' -delete || die
+ py.test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/google-auth/google-auth-1.14.3-r1.ebuild b/dev-python/google-auth/google-auth-1.14.3-r1.ebuild
new file mode 100644
index 000000000000..91fe626a7fff
--- /dev/null
+++ b/dev-python/google-auth/google-auth-1.14.3-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/google-auth-library-python https://pypi.org/project/google-auth/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/oauth2client[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # delete stray files included in the tarball
+ find "${S}"/tests -name '*.pyc' -delete || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/google-auth/google-auth-1.14.3.ebuild b/dev-python/google-auth/google-auth-1.14.3.ebuild
new file mode 100644
index 000000000000..2776bf9f4da6
--- /dev/null
+++ b/dev-python/google-auth/google-auth-1.14.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/google-auth-library-python https://pypi.org/project/google-auth/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+# Test deps need keywords. See #723554 and #723912.
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # delete stray files included in the tarball
+ find "${S}"/tests -name '*.pyc' -delete || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/google-auth/google-auth-1.6.3.ebuild b/dev-python/google-auth/google-auth-1.6.3.ebuild
new file mode 100644
index 000000000000..8ab4aa30d8ee
--- /dev/null
+++ b/dev-python/google-auth/google-auth-1.6.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/google-auth-library-python https://pypi.org/project/google-auth/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ )"
+
+src_prepare() {
+ # delete stray files included in the tarball
+ find "${S}"/tests -name '*.pyc' -delete || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ pytest -vv || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/google-auth/metadata.xml b/dev-python/google-auth/metadata.xml
new file mode 100644
index 000000000000..06e7eb66969b
--- /dev/null
+++ b/dev-python/google-auth/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ <name>Zac Medico</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">google-auth</remote-id>
+ <remote-id type="github">GoogleCloudPlatform/google-auth-library-python</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>